SnmpTrapForwarderConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.forwarding.SnmpTrapForwarderConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.forwarding
Interface SnmpTrapForwarderConfiguration

All Superinterfaces:
  Configuration, ForwarderConfiguration, ModelObject, MonitorConfiguration, java.io.Serializable

    public interface SnmpTrapForwarderConfiguration

extends ForwarderConfiguration

Configuration for a forwarder that forwards StateChangeEvents as SNMPv1 traps to a particular destination For the format of these traps see the SNMP MIB definition: collation-traps.mib

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getTrapCommunity()` The SNMP trap community that will be used to send SNMP traps with.
`java.lang.String` | `getTrapDestination()` The trap destination host definition.
`int` | `getTrapPort()` The UDP port on the trap destination host to forward SNMP traps to.
`boolean` | `hasTrapCommunity()`
`boolean` | `hasTrapDestination()`
`boolean` | `hasTrapPort()`
`void` | `setTrapCommunity(java.lang.String community)`
`void` | `setTrapDestination(java.lang.String destination)`
`void` | `setTrapPort(int port)`

Methods inherited from interface com.collation.platform.model.casm.monitor.forwarding.ForwarderConfiguration
`getCategory, getComponentType, getSeverityThreshold, hasCategory, hasComponentType, hasSeverityThreshold, setCategory, setComponentType, setSeverityThreshold`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getTrapDestination

    java.lang.String getTrapDestination()
                                        throws AttributeNotSetException

  The trap destination host definition. It can either be a dotted IPv4 string or a fully qualified domain name of the host. SNMP traps will be forwarded towards this destination host on the UDP TrapPort. This is a required attribute.

  Returns:
    The trap destination
  Throws:
    `AttributeNotSetException`

### setTrapDestination

    void setTrapDestination(java.lang.String destination)

### hasTrapDestination

    boolean hasTrapDestination()

### getTrapPort

    int getTrapPort()
                    throws AttributeNotSetException

  The UDP port on the trap destination host to forward SNMP traps to. This is an optional attribute If this attribute is not set, the trap port will default to the standard SNMP trap port: 162.

  Returns:
    The trap port. Has to be a UDP port (0-65535).
  Throws:
    `AttributeNotSetException`

### setTrapPort

    void setTrapPort(int port)

### hasTrapPort

    boolean hasTrapPort()

### getTrapCommunity

    java.lang.String getTrapCommunity()
                                      throws AttributeNotSetException

  The SNMP trap community that will be used to send SNMP traps with. This is an optional attribute. If this attribute is not set, the trap community will default to public.

  Returns:
    The trap community.
  Throws:
    `AttributeNotSetException`

### setTrapCommunity

    void setTrapCommunity(java.lang.String community)

### hasTrapCommunity

    boolean hasTrapCommunity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD